Bug 525585 - mount.nfs: mount system call failed F10 client -
Summary: mount.nfs: mount system call failed F10 client -
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 10
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 22:27 UTC by Flóki Pálsson
Modified: 2009-10-20 22:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-20 22:53:17 UTC
Type: ---


Attachments (Terms of Use)
strace mount -t nfs - SELinux is preventing mount.nfs4 (15.93 KB, text/plain)
2009-09-25 17:46 UTC, Flóki Pálsson
no flags Details
nfs sealert (2.65 KB, text/plain)
2009-10-17 15:24 UTC, Flóki Pálsson
no flags Details

Description Flóki Pálsson 2009-09-24 22:27:07 UTC
Description of problem:
It is not possible to mount nfs share form server f12.

Version-Release number of selected component (if applicable):
nfs-utils-1.1.4-8.fc10.i386

selinux-policy-3.5.13-71.fc10

How reproducible:
always

Steps to Reproduce:
1.
strace mount -t nfs 192.168.1.33:/mnt/tonlist /mnt/tonlist
2.
3.
  
Actual results:
See attachment result from mount and sealert.


Expected results:
Files mounted

Additional info:
Server is F12. It is possible to mount with nfs in f12.

Comment 1 Steve Dickson 2009-09-25 09:46:06 UTC
I don't see any attachments....

Comment 2 Flóki Pálsson 2009-09-25 17:46:17 UTC
Created attachment 362702 [details]
strace mount -t nfs  - SELinux is preventing mount.nfs4

Comment 3 Steve Dickson 2009-09-25 17:55:39 UTC
Adding our SElinux guy...

Comment 4 Daniel Walsh 2009-09-28 14:27:47 UTC
Miroslav add

	rpc_domtrans_rpcd(unconfined_mount_t)

to mount.te in F10.

Comment 5 Miroslav Grepl 2009-10-01 15:38:24 UTC
Fixed in selinux-policy-3.5.13-73.fc10

Comment 6 Flóki Pálsson 2009-10-17 15:24:52 UTC
Created attachment 365124 [details]
nfs sealert 

I installed  selinux-policy-3.5.13-73.fc10 form 
http://koji.fedoraproject.org/koji/packageinfo?packageID=32
same ppoblem

Comment 7 Miroslav Grepl 2009-10-19 08:50:26 UTC
Did you install selinux-policy-targeted-3.5.13-73.fc10 package also ?

Comment 8 Flóki Pálsson 2009-10-19 20:30:36 UTC
No 
I can not find selinux-policy-targeted in http://koji.fedoraproject.org/koji
where can I find it.

Comment 10 Flóki Pálsson 2009-10-20 21:24:40 UTC
Insalled 
selinux-policy-targeted-3.5.13-73.fc10.noarch
selinux-policy-3.5.13-73.fc10.noarch
ok 
now no sealert 
from 
#  mount -t  nfs4  192.168.1.35:/mnt/ymislegt /mnt/ymislegt


Note You need to log in before you can comment on or make changes to this bug.